<!doctype html>
<html>
<body>
<h2>Development environment</h2>
 <h3>Java, Kotlin or C/C++ language</h3>
It is possible to <i>TRY</i> <i>Kotlin</i> on
<a href="https://try.kotlinlang.org">official site</a> (Kotlin Koans part).
 <h3>Android Studio</h3>
It is possible to download <i>Android Studio</i> on
<a href="https://developer.android.com/studio/">developper.android.com</a>
<p><i>Android Studio</i> main functionalities:
<ul>
  <li>Start a new Android Studio project</li>
  <li>Open an existing Android Studio projec</li>
  <li>Check out project from Version Control(GIT, SVN)</li>
  <li>Profile or debug APK</li>
  <li>Import project from <i>Eclipse</i>, etc.</li>
  <li>Import an Android code sample</li>
</ul></p>
<p>
  <i>APK</i> stands for <i>Android Application Package</i>. It is build with
  <i>Gradle</i> files.
</p>
<p>The <i>Android SDK</i> contains:
  <ul>
    <li><i>aapt</i> (<i>Android Asset Packaging Tool</i>), to create and analyze
  <i>APK</i> files.</li>
    <li><i>adb</i> (<i>Android Debug Bridge</i>), to establish connections with
  an <i>Android</i> device or an emulator (access to their <i>shell</i>, transfer data etc.).</li>
    <li><i>ddms</i> (<i>Dalvik Debug Monitor Server</i>), to debug app, make
      screen capture, see processus, messages console, simulate messages sending,
      call and <i>GPS</i> position, etc.</li>
    <li>Emulator system</li>
    <li>Sample projects</li>
  </ul>
  </p>
  <p>After the install of <i>Android Studio</i>, to see details of downloaded
    files, go to <i>SDK Manager</i> (from <i>Configure</i> menu), then click on
     <i>Show Package Details</i>. </p>
     <p>Then <i>SDK Tools</i> part show tools like:
  <ul>
    <li><i>Android SDK Build-Tools</i></li>
    <li><i>Android SDK Platforms-Tools</i></li>
    <li><i>Android SDK Tools</i></li>
    <li><i>Android SDK Emulator</i></li>
    <li><i>Intel x86 Emulator Accelerator (HAXM installer)</i>, tools to have fast emulator</li>
  </ul>
  </p>
  <p>The field <i>Android SDK Location</i> inform of the <i>SDK
  Android</i> location on computer. The <i>sdk</i> repository contains:
  <ul>
    <li><i>build-tools</i>, tools to create APK</li>
    <li><i>emulator</i>, created emulator(s)</li>
    <li><i>extras</i>, downloaded tools</li>
    <li><i>platforms-tools</i>, tools to develop and debug app</li>
    <li><i>platforms</i>, all downloaded <i>SDK</i> versions, classed by API version</li>
    <li><i>skins</i>, related to emulator</li>
    <li><i>system-images</i>, emulator factory</li>
    <li><i>tools</i>, tools to use <i>Android SDK</i></li>
  </ul>
  </p>
<p>The most important repository is <i>platforms-tools</i> because it contains
the <code>adb</code> command line tool.</p>
  <h4>Next part</h4>
  <a href="file:///android_asset/1C-programmingconcepts.html">Programming concepts</a>

</body>
</html>
